package ch.zhaw.gartenverwaltung.io;

import ch.zhaw.gartenverwaltung.types.Plant;
import ch.zhaw.gartenverwaltung.types.HardinessZone;

import java.io.IOException;
import java.util.List;
import java.util.Optional;

public interface PlantDatabase {
    List<Plant> getPlantList(HardinessZone zone) throws IOException;
    Optional<Plant> getPlantById(long id) throws IOException;
}
